#include "verifier.h"

/**
 * Gets the verifier identifier.
 *
 * @param identifier the verifier identifier
 * @return 0 if success else -1
 */
int ve_get_verifier_identifier(verifier_identifier_t *identifier)
{
    if (identifier == NULL)
    {
        return -1;
    }

    memcpy(identifier->buffer, (uint8_t[]) {
            0x16, 0x2d, 0x79, 0x36, 0xac, 0x32, 0x87, 0xbd,
            0x7e, 0x3b, 0xfa, 0x3b, 0xa0, 0xab, 0x00, 0xa9
    }, VERIFIER_MAX_ID_LENGTH);
    identifier->buffer_length = VERIFIER_MAX_ID_LENGTH;

    return 0;
}
